#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>


LONG APIENTRY
RegDeleteKey(HKEY hKey, LPCWSTR lpSubKey)
{
	char *subkey;
	LONG l;

	if(win_useunicode)
		return RegDeleteKeyW(hKey, lpSubKey);

	subkey = win_wstr2utf(lpSubKey);
	l = RegDeleteKeyA(hKey, subkey);
	win_free(subkey);
	return l;
}
